Subject: bug#58150: 29.0.50; parse_tool_bar_item should not usually upcase "and"

From: Sean Whitton <[email-masked]>
Date: Wed, 28 Sep 2022 13:02:31 -0700

Hello,

In a Gnus summary buffer, there is a toolbar button "Reply And Yank".

It should be labelled "Reply and Yank" (or "Reply and yank").

The call to upcase-initials in parse_tool_bar_item in keyboard.c is
responsible.  How about adding an exception for the word "and"?  It's
pretty jarring to see on the toolbar.

-- 
Sean Whitton